SystemOrganization addCategory: #'OpenVolunteerMarketPlace-Model'!
SystemOrganization addCategory: #'OpenVolunteerMarketPlace-View'!
SystemOrganization addCategory: #'OpenVolunteerMarketPlace-Controller'!
SystemOrganization addCategory: #'OpenVolunteerMarketPlace-Tests'!

Object subclass: #Database
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-Controller'!

Object subclass: #OVMPPerson
	instanceVariableNames: 'username password email name birthday skills'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-Model'!

!OVMPPerson methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 13:11'!
addSkill: aSkill
	skills add: aSkill.! !

!OVMPPerson methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 13:12'!
addSkills: aSkillArray
	 skills addAll: aSkillArray.! !

!OVMPPerson methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 13:11'!
skills
	^ skills.! !

Object subclass: #OVMPProject
	instanceVariableNames: 'name startDate tasks coordinator'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-Model'!

!OVMPProject methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 11:14'!
addTask: aTask
	tasks add: aTask.! !

!OVMPProject methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 11:15'!
addTasks: aTaskArray
	tasks addAll: aTaskArray.! !

!OVMPProject methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 11:12'!
name
	^ name.! !

!OVMPProject methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 11:12'!
name: aName
	name := aName.! !

!OVMPProject methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 11:13'!
startDate
	^ startDate.! !

!OVMPProject methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 11:12'!
startDate: aDate
	startDate := aDate.! !

!OVMPProject methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 11:13'!
tasks
	^ tasks.! !

Object subclass: #OVMPProjectController
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-Controller'!

Object subclass: #OVMPTask
	instanceVariableNames: 'name volunteers requiredSkills'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-Model'!

Object subclass: #OVMPVolunteer
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-Model'!

WAComponent subclass: #OVMPCenterView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-View'!

!OVMPCenterView methodsFor: 'rendering' stamp: 'ThiagoFurtado 9/29/2012 00:36'!
renderContentOn:  html

	html article 
		id: 'centre';
		with: [].! !

WAComponent subclass: #OVMPLoginView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-View'!

!OVMPLoginView methodsFor: 'rendering' stamp: 'ThiagoFurtado 9/29/2012 00:16'!
renderContentOn: html
	html div 
		id: 'in-header';
		with: [
			html heading 
				level: 1;
				with: [
					html anchor url: 'http://localhost:8080/openvolunteermarketplace'; with: 'Open Volunteer MarketPlace'.
					].
			html div
				id: 'login';
				with: [
					html form 
					id: 'formlogin';
					with: [
						html fieldSet
							class: 'up';
							with: [
								"html label for: 'email'; with: 'email/username'. "html textInput id: 'email'; type: 'text'; placeholder: 'user/email'.
								"html label for: 'pwd'; with: 'password'." html textInput id: 'pwd';type: 'password'; placeholder: 'password'.
								html submitButton id: 'enter'; class: 'btn'; with: 'Enter'.
								]
						 ].
			].
		].! !

WAComponent subclass: #OVMPProjectListView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-View'!

WAComponent subclass: #OVMPProjectView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-View'!

WAComponent subclass: #OVMPSeachProjectView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-View'!

!OVMPSeachProjectView methodsFor: 'rendering' stamp: 'ThiagoFurtado 9/28/2012 23:52'!
renderContentOn: html
	html section
		id: 'content';
		with: [ 
					html form
						id: 'search_project';
						with: [ 
									html fieldSet
										class: 'search';
										with: [ 
													html label
														for: 'text';
														with: 'Project'.
													html textInput
														id: 'project';
														type: 'text'.
													html submitButton
														id: 'enter';
														class: 'btn';
														with: 'Enter' ] ] ]! !

WAComponent subclass: #OVMPView
	instanceVariableNames: 'loginComponent searchProjectBox centerComponent'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-View'!

!OVMPView class methodsFor: 'class initialization' stamp: 'ThiagoFurtado 9/22/2012 14:31'!
initialize

	WAAdmin register: self asApplicationAt: 'openvolunteermarketplace' .! !

!OVMPView methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/29/2012 00:22'!
children 
	^ Array with: loginComponent with: searchProjectBox with: centerComponent.! !

!OVMPView methodsFor: 'initialization' stamp: 'ThiagoFurtado 9/29/2012 00:22'!
initialize 
	super initialize .
	loginComponent := OVMPLoginView new.
	searchProjectBox := OVMPSeachProjectView new.
	centerComponent := OVMPCenterView new.! !

!OVMPView methodsFor: 'rendering' stamp: 'ThiagoFurtado 9/29/2012 00:37'!
renderBodyContentOn: html

	html section id: 'content';
		with: [
			html render: searchProjectBox.
			html render: centerComponent.
			].! !

!OVMPView methodsFor: 'rendering' stamp: 'ThiagoFurtado 9/28/2012 23:39'!
renderContentOn: html

	html div 
		id: 'main';
		with: [ self renderHeaderOn: html .
			    self renderBodyContentOn: html ].! !

!OVMPView methodsFor: 'rendering' stamp: 'ThiagoFurtado 9/22/2012 21:26'!
renderHeaderOn: html

	html header id: 'header'; 
		with: [ 
			
			  self renderLoginForm: html.
			
			 ].! !

!OVMPView methodsFor: 'rendering' stamp: 'ThiagoFurtado 9/28/2012 23:48'!
renderLoginForm: html

	html render: loginComponent.! !

!OVMPView methodsFor: 'rendering' stamp: 'ThiagoFurtado 9/22/2012 23:16'!
updateRoot: anHtmlRoot
	super updateRoot: anHtmlRoot.
	anHtmlRoot title: 'Open Volunteer MarketPlace'.
	anHtmlRoot stylesheet url: 'http://localhost/openvolunteermarketplace/styles/style.css'! !
OVMPView initialize!
